<?php
include_once(__DIR__."/../../core.php");

if ($modules_info[$module_name]["permessi"] == 'rw') {
	switch (filter('op')) {
		case 'update':
			
		//	IT88A0123456789012345678901
			
			$descrizione = filter("nome");			
			$filiale = save( $_POST['filiale'] );
			$id_pianodeiconti3 = save( $_POST['id_pianodeiconti3'] );
			$iban = save( $_POST['iban'] );
			$bic = save( $_POST['bic'] );
			$abi = save( $_POST['abi'] );
			$cab = save( $_POST['cab'] );
			$note = save( $_POST['note'] );					
			
			
			$abi=substr($iban, 5, 5);			
			$cab=substr($iban, 10, 5);		
			
			if(isset($descrizione)){
				if($dbo->fetchNum("SELECT * FROM `co_banche` WHERE `nome`=".prepare($descrizione)." AND `id`!=".prepare($id_record)) == 0){
					$dbo->query("UPDATE `co_banche` SET `nome`=".prepare($descrizione)." 
					,`filiale`=".prepare($filiale)." 
					,`id_pianodeiconti3`=".prepare($id_pianodeiconti3)." 
					,`iban`=".prepare($iban)." 
					,`bic`=".prepare($bic)." 
					,`abi`=".prepare($abi)." 
					,`cab`=".prepare($cab)." 
					,`note`=".prepare($note)." 								
					WHERE `id`=" . prepare($id_record));
					array_push($_SESSION["infos"], _("Salvataggio completato!"));
				}
				else array_push($_SESSION["errors"], str_replace("_TYPE_", "banca", _("E' già presente una _TYPE_ con la stessa descrizione!")));
			}
			else array_push($_SESSION["errors"], _("Ci sono stati alcuni errori durante il salvataggio!"));

			break;

    case 'add':
        $descrizione = filter("descrizione");

			if(isset($descrizione)){
				if($dbo->fetchNum("SELECT * FROM `co_banche` WHERE `nome`=".prepare($descrizione)) == 0){
					$id_record = $dbo->query("INSERT INTO `co_banche` (`nome`) VALUES (".prepare($descrizione).")");
					array_push($_SESSION["infos"], str_replace("_TYPE_", "banca", _("Aggiunta nuova tipologia di _TYPE_")));
				}
				else array_push($_SESSION["errors"], str_replace("_TYPE_", "banca", _("E' già presente una banca di _TYPE_ con la stessa descrizione!")));
			}
			else array_push($_SESSION["errors"], _("Ci sono stati alcuni errori durante il salvataggio!"));

			
        break;

    case 'delete':
	    $documenti = $dbo->fetchNum('SELECT idanagrafica FROM an_anagrafiche WHERE idbanca_vendite='.prepare($id_record).'
									UNION SELECT idanagrafica FROM an_anagrafiche WHERE idbanca_acquisti='.prepare($id_record));
        
        if (isset($id_record) && empty($documenti)) {
            $dbo->query('DELETE FROM `co_banche` WHERE `id`='.prepare($id_record));
              $_SESSION['infos'][] = tr('Banca eliminata con successo!');
			
        }else{
			
			 $_SESSION['errors'][] = tr('Ci sono stati alcuni errori durante il salvataggio!');
		}
	   

        break;
}
}
?>